/**
*	 "CBookItems"     
*	     ,    ,   
*	      ,   
*	       
*	     ,   
*	       
*	       
*/

#pragma once
#include <iostream>
#include <string>
#include <vector>
#include <fstream>

using namespace std;


class CBookItems
{
private:
	struct _BookItem
	{
		string _sFirstName;
		string _sLastName;
		string _sPhoneNumber1;
		string _sPhoneNumber2;
	};

	vector<_BookItem> _aItems;

public:
	
	//===============================================================================
	/**
	*       
	*/
	void CreateNewItem(string sFirstName, string sLastName, string sPhoneNumber1);
	
	//===============================================================================
	/**
	*        (2 )
	*/
	void CreateNewItem(string sFirstName, string sLastName, string sPhoneNumber1, string sPhoneNumber2);

	//===============================================================================
	/**
	*     
	*/
	int SetNewValueToItem(string sFirstName, string sLastName, string sPhoneNumber1, int nNumOfItem);

	//===============================================================================
	/**
	*      (2 )
	*/
	int SetNewValueToItem(string sFirstName, string sLastName, string sPhoneNumber1, string sPhoneNumber2, int nNumOfItem);

	//===============================================================================
	/**
	*    
	*/
	int GetItem(int nNumOfItem, string& sFirstName, string& sLastName, string& sPhoneNumber1);

	//===============================================================================
	/**
	*     (2 )
	*/
	int GetItem(int nNumOfItem, string& sFirstName, string& sLastName, string& sPhoneNumber1, string& sPhoneNumber2);

	//===============================================================================
	/**
	*     
	*/
	int GetSize();

	//===============================================================================
	/**
	*       
	*/
	int SortItems(int nSortingType);

	//===============================================================================
	/**
	*   ,     
	*/
	int FindItem(string sDesiredValue, int nSortingType, vector<int>& nNumOfDesirvedItems);

	//===============================================================================
	/**
	*    
	*/
	int SaveItems(string sNameOfFile);

	//===============================================================================
	/**
	*    
	*/
	int LoadItems(string sNameOfFile);
};